#include "ServiceManager.hpp"

// C++ system level
// #include <cstring>     // memset, strncmp
// #include <cstdlib>     // TODO: is this for memcpy?
// #include <functional>

// ESP32 specific
// #include "esp_log.h"

// project specific
#include "FxCyanF.hpp"
// #include <Types.hpp>
// #include "SiliconTorch/NVSExplorer.hpp"

// qthing stuff
// #include <qthing>


// const char* TAG = "ServiceManager";


namespace SiliconTorch {

  namespace ServiceManager {


    void registerSiliconTorchServices(ServiceManager* mgr) {

      mgr->registerService(new SiliconTorch::Service::FxCyanF());

    }


  }
}
